package name.nathanmcrae;

import javafx.fxml.FXML;
import javafx.fxml.FXMLLoader;
import javafx.scene.Parent;
import javafx.scene.Scene;
import javafx.stage.Stage;
import javafx.scene.control.Label;

public class NumbersStationController {
    @FXML
    private Label lastRetrievedLabel;

    private Stage configStage;

    @FXML
    private void handleButtonPress() {
        System.out.println("Button pressed!");
        lastRetrievedLabel.setText("Button pressed!");

        if (configStage == null || !configStage.isShowing()) {
            try {
                FXMLLoader fxmlLoader = new FXMLLoader(getClass().getResource("NumbersStationConfig.fxml"));
                Parent root = fxmlLoader.load();
                configStage = new Stage();
                configStage.setTitle("Numbers Station Config");
                configStage.setScene(new Scene(root));
                configStage.show();
            } catch (Exception e) {
                e.printStackTrace();
            }
        } else {
            configStage.toFront();
        }
    }
}
